"use strict";
this.name = "Goods Container 5 TC";
this.author = "Reval";
this.licence = "CC BY-NC-SA 4.0";
this.version = "1.2";


this.playerBoughtEquipment = function(equipment, paid) {
	// keep tally of pylon accessories bought
	this.$gcCount++;
    // and don't let them exceed ship's pylon-capacity
	if ((equipment == "EQ_GC_MINE") && (this.$gcCount<=this.$gcMCap)) {
		player.ship.cargoSpaceCapacity += 5;
		this.$gcContainers++;
		player.consoleMessage("Fitting Goods Container #"+this.$gcContainers+"...", 5);
	} else
	// unmount & sell cancels all container additions
	if (equipment == "EQ_MISSILE_REMOVAL") {
		player.ship.cargoSpaceCapacity -= this.$gcContainers*5;
		if (this.$gcContainers>0)
			player.consoleMessage("Removing all Containers...",5)
		this.$gcCount = 0;
		this.$gcContainers = 0;
	}
}


this.playerBoughtNewShip = function(ship, price) {
	// missile capacity (not exceed)
	this.$gcMCap = player.ship.missileCapacity;
	this.$gcCount = 0;
	this.$gcContainers = 0;
}


this.equipmentRemoved = function(equipmentKey) {
    if (equipmentKey == "EQ_GC_MINE") {
		player.ship.cargoSpaceCapacity -= 5;
		this.$gcContainers--;	
		player.consoleMessage("Goods Container removed.",5);
	}
}


this.shipReleasedEquipment = function(mine) {
	this.$gcCount--;
    if (mine == "EQ_GC_MINE") {
		player.ship.cargoSpaceCapacity -= 5;
		this.$gcContainers--;
		player.commsMessage("Goods Container jettisoned.",5);
	}
}


this.shipFiredMissile = function(missile, target) {
	this.$gcCount--;
    if (missile == "EQ_GC_MINE") {
		player.ship.cargoSpaceCapacity -= 5;
		this.$gcContainers--;	
		player.commsMessage("Goods Container jettisoned.",5);
	}
}


this.startUpComplete = function () {
	// missile capacity (not exceed)
	this.$gcMCap = player.ship.missileCapacity;
	this.$gcCount = player.ship.missiles.length;
	// Load cargo space, missile & container counts if present
	if (missionVariables.gcCargo != null) 
		player.ship.cargoSpaceCapacity = missionVariables.gcCargo;
	if (missionVariables.gcCount != null)
		this.$gcCount = missionVariables.gcCount;
	if (missionVariables.gcContainers != null) 
		this.$gcContainers = missionVariables.gcContainers;
}


this.startUp = function() {
	// missile capacity (not exceed)
	this.$gcMCap = 0;
	// pylon-use count
	this.$gcCount = 0;
	// container count
	this.$gcContainers = 0;
}


this.playerWillSaveGame = function(message) {
	missionVariables.gcCount = this.$gcCount;
	missionVariables.gcCargo = player.ship.cargoSpaceCapacity;
	missionVariables.gcContainers = this.$gcContainers;
}
